import { FormConfig } from "/@/components/PageSearch";
import dayjs from "dayjs";
import { useUserStore } from "/@/store/modules/user";
const now = new Date();
const start = dayjs(now).subtract(30, "days").format("YYYY-MM-DD");
const end = dayjs(now).format("YYYY-MM-DD");

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start",
        endProp: "end"
      }
    },
    {
      field: "spuCode",
      trigger: "change",
      type: "input",
      placeholder: "商品编号"
    }
  ]
};

export default searchFormConfig;
