import { FormConfig } from "/@/components/PageSearch";


const options = [
  { value: "0", label: "待发布竞标" },
  { value: "1", label: "招标进行中" },
  { value: "2", label: "招标已结束" },
  { value: "3", label: "待业务下单" },
  { value: "5", label: "已成功转单" },
  { value: "6", label: "已取消转单" },
  { value: "7", label: "招标已暂停" },
]

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      label: '创建时间:',
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start",
        endProp: "end"
      }
    },
    {
      field: "date1",
      type: "date_picker",
      trigger: "change",
      label: '结束时间:',
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start_update",
        endProp: "end_update"
      }
    },
    {
      field: 'khName',
      placeholder: '客户名称',
      type: 'input'
    },
    {
      field: 'status',
      type: 'select',
      placeholder: '状态',
      options
    },
    {
      field: 'creater',
      placeholder: '创建人',
      type: 'input'
    },
    {
      field: "depart_id",
      type: "depart-query",
      trigger: "change",
      placeholder: '创建人所在部门'
    }
  ]
};

export default searchFormConfig;
