/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const { detail: httpList } = apis;
const columns = [
  {
    prop: 'tradeNo',
    label: "资金认领编码",
    minWidth: '155px'
  },
  {
    prop: 'depart',
    label: '部门',
    minWidth: '155px'
  },
  {
    prop: 'saler',
    label: '销售人员',
    minWidth: '80px'
  },
  {
    prop: 'plat_name',
    label: '平台类型',
    minWidth: '155px'
  },

  {
    prop: 'company_name',
    label: '公司名称',
    minWidth: '155px'
  },
  {
    prop: 'order_type',
    label: '订单类型',
    minWidth: '80px'
  },
  {
    prop: 'orderCode',
    label: '确认单编号',
    minWidth: '155px'
  },
  {
    prop: 'cgdNo',
    label: '采购单编号',
    minWidth: '155px'
  },
  {
    prop: 'customerAttr',
    label: '客户属性',
    minWidth: '80px'
  },
  {
    prop: 'branch',
    label: '客户分公司',
    minWidth: '80px'
  },
  {
    prop: 'customerName',
    label: '客户名称',
    minWidth: '155px'
  },
  {
    prop: 'good_code',
    label: '商品编码',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '产品名称',
    minWidth: '155px'
  },
  {
    prop: 'first_cat',
    label: '一级分类',
    minWidth: '80px'
  },
  {
    prop: 'system_price',
    label: '系统单价',
    minWidth: '80px'
  },
  {
    prop: 'good_price',
    label: '销售单价',
    minWidth: '120px'
  },
  {
    prop: 'fullprice',
    label: '溢出单价',
    minWidth: '80px'
  },
  {
    prop: "old_company",
    label: "销售订单主单号业务公司",
    minWidth: '180px'
  },
  {
    prop: 'oldCode',
    label: '销售主订单编号',
    minWidth: '155px'
  },
  {
    prop: 'good_num',
    label: '下单数量',
    minWidth: '80px'
  },
  {
    prop: 'total_price',
    label: '销售总额',
    minWidth: '155px'
  },
  {
    prop: 'order_time',
    label: '销售下单时间',
    minWidth: '155px'
  },
  {
    prop: 'pay_time',
    label: '回款日期',
    minWidth: '155px'
  },
  {
    prop: 'pay_fee',
    label: '回款金额',
    minWidth: '120px'
  },
  {
    prop: 'to_fee',
    label: '基础绩效回款金额',
    minWidth: '120px'
  },
  {
    prop: 'jx_fee',
    label: '激励绩效回款金额',
    minWidth: '120px'
  },
  {
    prop: 'pay_date_num',
    label: '账期',
    minWidth: '70px'
  },
  {
    prop: 'manager',
    label: '业务经理',
    minWidth: '90px'
  },
  {
    prop: 'pay_rate',
    label: '账期回款',
    minWidth: '80px'
  },
  {
    prop: 'first_cat',
    label: '一级分类类型',
    minWidth: '90px'
  },
  {
    prop: 'percentage',
    label: '基础绩效提成系数',
    minWidth: '120px'
  },
  {
    prop: 'pay_percentage',
    label: '基础绩效提成金额',
    minWidth: '120px'
  },
  {
    prop: 'jx_percentage',
    label: '激励绩效提成金额',
    minWidth: '120px'
  },
  {
    prop: 'total_percentage',
    label: '绩效提成合计',
    minWidth: '120px'
  },
  // {
  //   prop: 'total_percentage',
  //   label: '明细总提成',
  //   minWidth: '120px'
  // },
  // {
  //   prop: 'cgdPrice',
  //   label: '采购单价',
  //   minWidth: '120px'
  // }
];

const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  superUserNoAction: false,
  apis: {
    httpList
  }
};

export default contentConfig;
