import { FormConfig } from "/@/components/PageSearch";
import dayjs from "dayjs";
import { useUserStore } from "/@/store/modules/user";
import { orderTypeOptions, statusOptions } from "./content.config";

const now = new Date();
const start = dayjs(now).subtract(30, 'days').format("YYYY-MM-DD");
const end = dayjs(now).format('YYYY-MM-DD');

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "下单开始时间",
        endPlaceholder: "下单结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start_date",
        endProp: "end_date"
      }
    },
    {
      field: "order_type",
      type: "select",
      trigger: "change",
      placeholder: '商品类型',
      options: orderTypeOptions
    },
    {
      field: "status",
      type: "select",
      trigger: "change",
      placeholder: '订单状态',
      options: statusOptions
    },
    {
      field: "depart_id",
      type: "depart-query",
      trigger: "change"
    }
  ]
};

export default searchFormConfig;
