/* eslint-disable prettier/prettier */
import { BeforeRequestType, ContentConfig } from "/@/components/PageContent";
import { isBeyondTime } from "/@/views/reportCollection/_utils";
import apis from "./apis";

const columns = [
  {
    label: '业务公司编码',
    minWidth: '155px',
    prop: 'companyNo'
  },
  {
    label: '业务公司名称',
    minWidth: '165px',
    prop: 'companyName'
  },
  {
    prop: 'cat_1',
    label: '一级分类'
  },
  {
    prop: 'cat_2',
    label: '二级分类'
  },
  {
    prop: 'cat_3',
    label: '三级分类'
  },
  {
    prop: 'tag_1',
    label: '库存品'
  },
  {
    prop: 'tag_2',
    label: '非库存品'
  },
  {
    prop: 'tag_3',
    label: '咨询采反'
  },
  {
    prop: 'tag_supplier',
    label: '供应商发货'
  },
  {
    prop: 'tag_person',
    label: '负责人发货'
  },
  {
    prop: 'tag_logistics',
    label: '物流岗发货'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  apis: { httpList: apis.list }
};


export default contentConfig;
