/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const { detail: httpList } = apis;
const columns = [
  {
    prop: 'tradeNo',
    label: "资金认领编码",
    minWidth: '155px'
  },
  {
    prop: 'depart',
    label: '部门',
    minWidth: '155px'
  },
  {
    prop: 'saler',
    label: '销售人员',
    minWidth: '80px'
  },
  {
    prop: 'plat_name',
    label: '平台类型',
    minWidth: '155px'
  },

  {
    prop: 'company_name',
    label: '公司名称',
    minWidth: '155px'
  },
  {
    prop: 'order_type',
    label: '订单类型',
    minWidth: '80px'
  },
  {
    prop: 'orderCode',
    label: '确认单编号',
    minWidth: '155px'
  },
  {
    prop: 'cgdNo',
    label: '采购单编号',
    minWidth: '155px'
  },
  {
    prop: 'customerAttr',
    label: '客户属性',
    minWidth: '80px'
  },
  {
    prop: 'branch',
    label: '客户分公司',
    minWidth: '80px'
  },
  {
    prop: 'customerName',
    label: '客户名称',
    minWidth: '155px'
  },
  {
    prop: 'good_code',
    label: '商品编码',
    minWidth: '155px'
  },
  {
    prop: 'good_name',
    label: '产品名称',
    minWidth: '155px'
  },
  {
    prop: 'first_cat',
    label: '一级分类',
    minWidth: '80px'
  },
  {
    prop: 'good_price',
    label: '销售单价',
    minWidth: '120px'
  },
  {
    prop: "old_company",
    label: "销售订单主单号业务公司",
    minWidth: '180px'
  },
  {
    prop: 'oldCode',
    label: '销售主订单编号',
    minWidth: '155px'
  },
  {
    label: '未发货数量',
    minWidth: '80px',
    prop: 'wsend_num'
  },
  {
    label: '未上传运费数量',
    minWidth: '155px',
    prop: 'wpost_num'
  },
  {
    prop: 'cgdPrice',
    label: '采购单价',
    minWidth: '120px'
  },
  {
    label: '运费',
    minWidth: '80px',
    prop: 'post_fee'
  },
  {
    prop: 'good_num',
    label: '下单数量',
    minWidth: '80px'
  },
  {
    prop: 'total_price',
    label: '销售总额',
    minWidth: '155px'
  },
  {
    prop: 'order_time',
    label: '销售下单时间',
    minWidth: '155px'
  },
  {
    prop: 'pay_time',
    label: '回款日期',
    minWidth: '155px'
  },
  {
    prop: 'pay_fee',
    label: '回款金额',
    minWidth: '120px'
  },
  {
    prop: 'pay_date_num',
    label: '账期',
    minWidth: '70px'
  },
  {
    prop: 'manager',
    label: '业务经理',
    minWidth: '80px'
  },
  {
    prop: 'profit_rate',
    label: '毛利率',
    minWidth: '80px'
  },
  {
    prop: 'profit_range',
    label: '毛利率区间',
    minWidth: '80px'
  },
  {
    prop: 'profit_coefficient',
    label: '毛利率提成系数',
    minWidth: '120px'
  },
  {
    prop: 'total_percentage',
    label: '明细总提成',
    minWidth: '120px'
  },
  {
    prop: 'sale_percentage',
    label: '明细总提成30%',
    minWidth: '120px'
  },
  {
    prop: 'manager_percentage',
    label: '明细总提成70%',
    minWidth: '120px'
  }
];

const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  superUserNoAction: false,
  apis: {
    httpList
  }
};

export default contentConfig;
