/* eslint-disable prettier/prettier */
import { ContentConfig } from "/@/components/PageContent";
import apis from "./apis";

const columns = [
  {
    prop: 'supplier_name',
    label: '采购方',
  },
  {
    label: '业务公司编码',
    minWidth: '155px',
    prop: 'companyNo'
  },
  {
    label: '业务公司名称',
    minWidth: '165px',
    prop: 'companyName'
  },
  {
    prop: 'total_cgd',
    label: '采购订单总量'
  },
  {
    prop: 'tag_1',
    label: '线上库存品采购单'
  },
  {
    prop: 'tag_2',
    label: '线上非库存品采购单',
    width: '140px'
  },
  {
    prop: 'tag_c',
    label: 'ToC采购单'
  },
  {
    prop: 'tag_b',
    label: 'ToB采购单'
  },
  {
    prop: 'tag_zx',
    label: '咨询采返采购单'
  }
]


const contentConfig: ContentConfig = {
  columns,
  showTitle: false,
  responseCode: 1,
  superUserNoAction: false,
  notPagination: true,
  root: true,
  apis: { httpList: apis.list }
};


export default contentConfig;
