/* eslint-disable prettier/prettier */
import { BeforeRequestType, ContentConfig } from "/@/components/PageContent";
import { unit2TenThousand2 } from "/@/utils/calc"
import apis from "./apis";
import { h } from "vue";
import { ElTag } from "element-plus";

const statusOptions = [
  { value: 1, label: '待执行', type: "info" },
  { value: 2, label: '执行完成', type: "success" },
  { value: 3, label: '执行失败', type: 'danger' },
]

const exceTypeOptions = [
  { value: 1, label: '立即执行', type: "" },
  { value: 2, label: '延迟执行', type: "warning" },
]

// const columns = ;

const contentConfig = (isTenthsand: boolean): ContentConfig => ({
  columns: [
    {
      prop: "year",
      label: "年",
      minWidth: "70px"
    },

    {
      prop: "month",
      label: "月",
      minWidth: "70px"
    },

    {
      prop: "uname",
      label: "业务经理",
      minWidth: "135px"
    },
    {
      prop: "total_tips",
      label: "开票指标",
      width: "100px",
      cellRenderer({ row }) {
        return isTenthsand ? unit2TenThousand2(row.inv_tips) : row.inv_tips
      }
    },
    // {
    //   prop: "cost_tips",
    //   label: "利润指标",
    //   width: "100px",
    //   cellRenderer({ row }) {
    //     return isTenthsand ? unit2TenThousand2(row.cost_tips) : row.cost_tips
    //   }
    // },
    {
      prop: "createTime",
      label: "创建时间",
      minWidth: "115px"
    },
    {
      prop: "creater",
      label: "创建人",
      minWidth: "80px"
    },
    {
      label: "操作",
      fixed: "right",
      width: 90,
      slot: "operation"
    }
  ],
  showTitle: false,
  superUserNoAction: false,
  apis: {
    httpDelete: apis.delete,

    httpList: (parameter = {}) => {
      const { date, ...rest } = parameter as any
      if (date && date.length === 7) {
        const [year, month] = date.split('-')
        rest.year = year
        rest.month = month
      }

      if (date && date.length === 4) { rest.year = date }
      return apis.list(rest)
    }
  }
});

export default contentConfig;
